Skip to main content
GET
cURL
Rate Limit: 12 requests per second

Authorizations

Authorization
string
header
required

Add api-key YOUR_API_SECRET_KEY as the value of the Authorization header.

Path Parameters

id
integer
required

The identifier of the Campaign to return the Calls

Query Parameters

status
enum<string>

Filters the Campaign Calls by the status of the Call

Available options:
ended,
failed,
busy,
no-answer,
in-progress
answeredBy
enum<string>

Filters the Campaign Calls by who answered the call

Available options:
human,
machine,
unknown
startDate
string<ISO 8601>

Filter calls created after this date in ISO 8601 format

endDate
string<ISO 8601>

Filter calls created before this date in ISO 8601 format

pageSize
integer
default:50

Number of items per page to return.

Required range: 1 <= x <= 100
pageIndex
integer
default:0

Page number to return (0-based).

Required range: 0 <= x <= 25000

Response

Campaign Calls response

total_count
integer

Total number of Campaign Calls for the given query.

calls
object[]
pagination
object

Pagination information for campaign calls